## org.eclipse.datatools.sqltools.sqlbuilder.util
Class WindowUtility

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.util.WindowUtility

    public class WindowUtility

extends java.lang.Object

Constructor Summary
`WindowUtility()`

Method Summary
`static java.lang.Object` `getSelection(org.eclipse.jface.viewers.ISelection selection)`
`static java.util.List` `getSelectionList(org.eclipse.jface.viewers.ISelection selection)`
`static void` `openError(org.eclipse.swt.widgets.Shell shell, java.lang.String title, java.lang.String briefMessage, java.lang.String reason, java.lang.String detailedMessage)`
`static void` `openErrorCreatingFile(org.eclipse.swt.widgets.Shell shell, org.eclipse.core.resources.IResource resource)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowUtility

    public WindowUtility()

Method Detail

### getSelection

    public static java.lang.Object getSelection(org.eclipse.jface.viewers.ISelection selection)

### getSelectionList

    public static java.util.List getSelectionList(org.eclipse.jface.viewers.ISelection selection)

### openErrorCreatingFile

    public static void openErrorCreatingFile(org.eclipse.swt.widgets.Shell shell,
                                             org.eclipse.core.resources.IResource resource)

### openError

    public static void openError(org.eclipse.swt.widgets.Shell shell,
                                 java.lang.String title,
                                 java.lang.String briefMessage,
                                 java.lang.String reason,
                                 java.lang.String detailedMessage)